
Infrastructure - Task #2667

Story # 2661 (Closed): handling complicated identity-equivalencies for authorization

Task # 2665 (Closed): Authorization consistency between language implementations

create java tool for returning equivalent IDs from session

2012-04-30 18:47 - Rob Nahf

Status: Closed Start date: 2012-04-30

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 100%

Category: Authentication, Authorization Estimated time: 0.00 hour

Target version: Sprint-2012.39-Block.5.4   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

Need to clarify if it returns the group subjects contained in each person, too,

and the symbolic verified subject.

(this would allow direct testing of the first half of the isAuthorized implementation - converting the session's SubjectInfo into a list of

subjects)

Easiest approach is to wrap AuthUtils.authorizedClientSubjects(Session session) method.

Related issues:

Related to Infrastructure - Story #3036: Administrative expunge of an object ... Closed 2012-06-29

History

#1 - 2012-04-30 18:55 - Rob Nahf

- Assignee set to Ben Leinfelder

#2 - 2012-04-30 20:13 - Rob Nahf

- Status changed from New to In Progress

- Assignee changed from Ben Leinfelder to Rob Nahf

rolling the two tools together, using different command-line options, to make easier implementation.

#3 - 2012-05-01 18:03 - Rob Nahf

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

completed build of d1_authorization_tools project / product that converts a Session object into a SubjectList.

#4 - 2012-10-03 15:40 - Chris Jones

- Target version changed from Sprint-2012.35-Block.5.2 to Sprint-2012.39-Block.5.4
